<?php
// +-----------------------------------------------------------------------+
// | user delete photo plugin for piwigo by TEMMII                         |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2013 - 2021 ddtddt             http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//Add prefilter
add_event_handler('loc_begin_picture', 'udp', 55 );
 function udp()
  {
  global $template;
  $template->set_prefilter('picture', 'udpT');
  }

 function udpT($content, &$smarty)
  {
  global $conf;
  $search = '#<div id="'.$conf['udp'].'" class="imageInfo">#';
  $replacement = '
{if $UDFA}
 <div id="udp" class="imageInfo">
  <form method="post">
   <input class="submit" name="submitudpA" type="submit" value="{\'delete photo\'|@translate}">
   <label><input type="checkbox" name="confirm_deletionudp" value="1"> {\'Are you sure?\'|@translate}</label>
  </form>
 </div>
{/if}
 <div id="'.$conf['udp'].'" class="imageInfo">';
  return preg_replace($search, $replacement, $content);
  }

add_event_handler('loc_begin_picture', 'udpA');

 function udpA()
{
  global $conf, $page, $template  ;
  load_language('plugin.lang', UDP_PATH);
  load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
  global $conf, $user, $page;

  $query = '
select added_by
  FROM ' . IMAGES_TABLE . '
  WHERE id = \''.$page['image_id'].'\'
  ;';
$result = pwg_query($query);
$row = pwg_db_fetch_assoc($result);
$userudp=$row['added_by'];
 
  $query = '
select '.$conf['user_fields']['username'].' AS username
  FROM ' . USERS_TABLE . '
  WHERE '.$conf['user_fields']['id'].' = \''.$userudp.'\' 
  ;';
$result = pwg_query($query);
$row = pwg_db_fetch_assoc($result);
$udp=$row['username'];

if (($udp == $user['username']))
 {
 $template->assign(
 array	(
 'UDFA' => 'udp',
 ));
 }

if ((isset($_POST['submitudpA']) and ($udp == $user['username'])))
 {
  if (!(isset($_POST['confirm_deletionudp']) and 1 == $_POST['confirm_deletionudp']))
  {
  array_push($page['errors'], l10n('You need to confirm deletion'));
  }
  else
  {
  include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
  global $page;
  $deletephotoudp =array($page['image_id']);
  delete_elements($deletephotoudp, true);
  invalidate_user_cache();
   if (isset($page['category']['id']))
   {
   $redirect_url = get_root_url().'index.php?/category/'.($page['category']['id']);
   }
   else
   {
   $redirect_url = get_root_url().'index.php?/'.($page['section']);
   }
   $_SESSION['page_infos'] = array(l10n('Photo deleted'));
   redirect($redirect_url);
  }
 }
}
?>